## golang-github-xorpaul-uiprogress 0.0~git20170224.d0567a9

=== Makefile ===
test:
	@go test -race .
	@go test -race ./util/strutil

examples:
	go run -race example/full/full.go
	go run -race example/incr/incr.go
	go run -race example/multi/multi.go
	go run -race example/simple/simple.go

.PHONY: test examples

=== debian/changelog ===
golang-github-xorpaul-uiprogress (0.0~git20170224.d0567a9-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 09 Jan 2021 17:01:25 +0100

golang-github-xorpaul-uiprogress (0.0~git20170224.d0567a9-1) unstable; urgency=medium

  * Initial release (packaged for g10k)

 -- Jack Henschel <jackdev@mailbox.org>  Thu, 24 Jan 2019 12:00:00 +0200

=== debian/control ===
Source: golang-github-xorpaul-uiprogress
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Jack Henschel <jackdev@mailbox.org>
Build-Depends: debhelper (>= 11),
               dh-golang,
               golang-any,
               golang-github-gosuri-uilive-dev,
               golang-github-gosuri-uiprogress-dev,
Standards-Version: 4.3.0
Homepage: https://github.com/xorpaul/uiprogress
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-xorpaul-uiprogress
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-xorpaul-uiprogress.git
XS-Go-Import-Path: github.com/xorpaul/uiprogress
Testsuite: autopkgtest-pkg-go

Package: golang-github-xorpaul-uiprogress-dev
Architecture: all
Depends: ${misc:Depends}
Description: Go library to render progress bars in terminal applications
 Custom fork of github.com/gosuri/uiprogress
 .
 Progress bars improve readability for terminal applications with long
 outputs by providing a concise feedback loop.
 .
 Features:
 * Multiple Bars: can render multiple progress bars that can be tracked
   concurrently
 * Dynamic Addition: Add additional progress bars any time,
   even after the progress tracking has started
 * Prepend and Append Functions: Append or prepend completion percent
   and time elapsed to the progress bars
 * Custom Decorator Functions: Add custom functions around the bar along
   with helper functions

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := example/

%:
	dh $@ --buildsystem=golang --with=golang
